Package com.android.server.os

# Class LinphoneTombstoneProtos.Register.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.Register,LinphoneTombstoneProtos.Register.Builder>
com.android.server.os.LinphoneTombstoneProtos.Register.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.RegisterOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.Register

public static final class LinphoneTombstoneProtos.Register.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.Register,LinphoneTombstoneProtos.Register.Builder> implements LinphoneTombstoneProtos.RegisterOrBuilder
Protobuf type `Register`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.Register.Builder`
`clearName()`
`string name = 1;`
`LinphoneTombstoneProtos.Register.Builder`
`clearU64()`
`uint64 u64 = 2;`
`String`
`getName()`
`string name = 1;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 1;`
`long`
`getU64()`
`uint64 u64 = 2;`
`LinphoneTombstoneProtos.Register.Builder`
`setName(String value)`
`string name = 1;`
`LinphoneTombstoneProtos.Register.Builder`
`setNameBytes(com.google.protobuf.ByteString value)`
`string name = 1;`
`LinphoneTombstoneProtos.Register.Builder`
`setU64(long value)`
`uint64 u64 = 2;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getName

public String getName()
`string name = 1;`

Specified by:
  `getName` in interface `LinphoneTombstoneProtos.RegisterOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`string name = 1;`

Specified by:
  `getNameBytes` in interface `LinphoneTombstoneProtos.RegisterOrBuilder`
Returns:
  The bytes for name.

### setName

public LinphoneTombstoneProtos.Register.Builder setName(String value)
`string name = 1;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public LinphoneTombstoneProtos.Register.Builder clearName()
`string name = 1;`

Returns:
  This builder for chaining.

### setNameBytes

public LinphoneTombstoneProtos.Register.Builder setNameBytes(com.google.protobuf.ByteString value)
`string name = 1;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getU64

public long getU64()
`uint64 u64 = 2;`

Specified by:
  `getU64` in interface `LinphoneTombstoneProtos.RegisterOrBuilder`
Returns:
  The u64.

### setU64

public LinphoneTombstoneProtos.Register.Builder setU64(long value)
`uint64 u64 = 2;`

Parameters:
  `value` - The u64 to set.
Returns:
  This builder for chaining.

### clearU64

public LinphoneTombstoneProtos.Register.Builder clearU64()
`uint64 u64 = 2;`

Returns:
  This builder for chaining.